@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Merriweather", serif;
    overflow-x: hidden;
}

#home {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5rem 10%;
    position: relative;
    gap: 2rem;
    flex-wrap: wrap;
    background: linear-gradient(315deg, #fff8f4 0%, #f6e7de 40%, #d8a58f 100%);
}

#home .home-content {
    flex: 1;
    margin-top: 60px;
    z-index: 2;
}

.highlight {
    color: #d8a58f;
    font-weight: 1000;
}

#about {
    display: block;
    padding: 4rem 2rem;
    background: #f9f9f9;
    text-align: center;
}

#about h1,
#services h1,
#contact h1 {
    font-size: 2.5rem;
    color: #333;
    margin-bottom: 2rem;
    position: relative;
    margin-top: 5rem;
    margin-right: 5rem;
}

#about h1::after,
#services h1::after,
#contact h1::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -10px;
    transform: translateX(-50%);
    width: 60px;
    height: 4px;
    background-color: #d35400;
    border-radius: 2px;
}

#about .about-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
    padding: 2rem;
    max-width: 1200px;
    margin: auto;
}

.card {
    background: #fff;
    padding: 2rem;
    width: 300px;
    height: auto;
    border-radius: 1rem;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.card:hover {
    transform: translateY(-5px);
}

.card .icon {
    font-size: 2.5rem;
    color: #d35400;
    margin-bottom: 1rem;
}

.card h2 {
    font-size: 1.5rem;
    color: #444;
    margin-bottom: 1rem;
}

.card p {
    font-size: 1rem;
    color: #666;
    margin-bottom: 1.5rem;
}

.card .button {
    background: #d35400;
    color: white;
    margin-top: auto;
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    text-decoration: none;
    font-weight: 500;
    font-size: 1rem;
    transition: background 0.3s ease;
}

.card .button:hover {
    background: #b03e00;
}

.fadeUp {
    animation: fadeUp 1s ease forwards;
    opacity: 0;
}

.delay-1 {
    animation-delay: 0.3s;
}

.delay-2 {
    animation-delay: 0.6s;
}

.home-content h1 {
    font-size: 50px;
    line-height: 1.2;
    color: #222;
}

.home-content h4 {
    color: white;
    text-shadow: 1px 1px 2px #444;
}

.home-content p {
    margin: 10px 0 30px;
    color: #333;
    font-size: 1rem;
}

.features {
    justify-content: center;
    list-style: none;
    font-size: 1rem;
    color: #444;
}

.features li {
    min-width: 150px;
    max-width: 300px;
    margin-bottom: 0.5rem;
    text-align: center;
    display: flex;
    align-items: center;
}

.home-house-img {
    flex: 1;
    max-width: 500px;
    width: 100%;
    height: 100%;
    margin-top: 60px;
    position: relative;
    bottom: auto;
    right: auto;
    z-index: 2;
    animation: floatUp 1.2s ease forwards;
    opacity: 0;
}

.button-container {
    display: flex;
    flex-direction: row;
    gap: 15px;
    margin-top: 20px;
    flex-wrap: wrap;
}

.button-container .button {
    display: inline-block;
    padding: 0.5rem 2rem;
    font-size: 1.0rem;
    background-color: #d8a58f;
    color: white;
    border: none;
    border-radius: 50px;
    text-decoration: none;
    white-space: nowrap;
}

/* NAVIGATION */

nav {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(10px);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
    gap: 2rem;
    padding: 0.5rem 2rem;
    width: max-content;
    z-index: 100;
}

nav .logo {
    height: auto;
    width: 80px;
}

nav a {
    text-decoration: none;
    color: #8b7b70;
    font-weight: bold;
    padding: 0.5rem 1rem;
    transition: 0.3s ease;
}

nav a:hover {
    background: rgba(216, 165, 143, 0.8);
    border-radius: 50px;
}

/* SECTION */

section {
    min-height: 100vh;
    scroll-margin-top: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    color: black;
    opacity: 1;
    transform: translateY(20px);
    transition: opacity 0.8s ease, transform 0.8s ease;
}

section.active {
    opacity: 1;
    transform: translateY(0);
}

/* OTHER SECTIONS */

#home::after,
#home::before,
#about::after,
#about::before,
#services::after,
#services::before,
#contact::after,
#contact::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    opacity: 0.5;
}

#home::before {
    clip-path: circle(25% at left 100%);
    background: black;
}

#home::after {
    clip-path: circle(25% at right 0%);
    background: white;
}

#about {
    background: linear-gradient(225deg, #fff8f4 0%, #f6e7de 40%, #d8a58f 100%);
}

#about::before {
    clip-path: circle(25% at left 0%);
    background: black;
}

#about::after {
    clip-path: circle(25% at right 100%);
    background: white;
}

#services {
    background: linear-gradient(315deg, #fff8f4 0%, #f6e7de 40%, #d8a58f 100%);
}

#services::before {
    clip-path: circle(25% at left 100%);
    background: black;
}

#services::after {
    clip-path: circle(25% at right 0%);
    background: white;
}

#contact {
    background: linear-gradient(225deg, #fff8f4 0%, #f6e7de 40%, #d8a58f 100%);
}

#contact::before {
    clip-path: circle(25% at left 0%);
    background: black;
}

#contact::after {
    clip-path: circle(25% at right 100%);
    background: white;
}


/**** share unit form section css ****/

.form {
    font-family: "Poppins", sans-serif;
}

.services-content {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem;
    margin-top: 50px;
}

.sqm-converter {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1rem 0;
}

.sqm-converter .input-box {
    width: 100%;
    max-width: 400px;
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
}

.sqm-converter .input-box input {
    height: 30px;
    font-size: 1rem;
    padding: 0 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    color: #707070;
}

.sqm-converter label {
    font-size: 1rem;
    margin-bottom: 0.5rem;
    font-weight: 500;
    color: #333;
    text-align: center;
    font-family: 'Poppins', sans-serif;
}

.convert-button {
    display: block;
    margin: auto;
    padding: 10px 20px;
    background-color: #d35400;
    color: #fff;
    border: none;
    border-radius: 5px;
    font-family: 'Poppins', sans-serif;
    cursor: pointer;
    transition: background-color 0.3s ease;
}


.convert-button:hover {
    background-color: #b84300;
}

.result-box {
    margin-top: 1rem;
    text-align: center;
}

.result-box p {
    font-size: 1.1rem;
    font-weight: bold;
    color: #333;
    font-family: 'Poppins', sans-serif;
}

.services-content header {
    font-size: 1.5rem;
    color: #333;
    font-weight: 500;
    text-align: center;
}

.services-content .form {
    font-size: 1rem;
    position: relative;
    max-width: 500px;
    width: 100%;
    background: #ffff;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.form ::placeholder {
    text-align: center;
}

.form .input-box {
    margin-top: 10px;
    display: flex;
    column-gap: 15px;
}

.form .input-box input {
    height: 30px;
    width: 100%;
    outline: none;
    font-size: 1rem;
    color: #707070;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 0 10px;
    text-align: center;

}

.form .select-box {
    height: 30px;
    width: 110%;
    outline: none;
    font-size: 1rem;
    color: #707070;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 0 10px;
}

.form .column {
    margin-top: 5px;
    display: flex;
    column-gap: 35px;
}

.form .column .select-box select {
    text-align: center;
}

.form p {
    text-align: left;
    margin-top: 10px;
    margin-bottom: 5px;
}

.form .radio-box {
    display: flex;
    gap: 15px;
}

.form .radio-box-1,
.form .radio-box-2 {
    display: inline-flex;
}

.form .radio-box-1 input,
.form .radio-box-2 input {
    align-items: center;
    width: 30px;
}

form .radio-box-1 .acInput label {
    align-items: center;
    width: 60px;
}

.form .radio-box-2 .liftInput label {
    width: 55px;
}

.form .select-box select {
    height: 100%;
    width: 100%;
    outline: none;
    border: none;
    color: #707070;
    font-size: 1rem;
}

.form .calculate-button {
    height: 55px;
    width: 100%;
    color: #ffff;
    font-size: 1rem;
    border: none;
    margin-top: 10px;
    cursor: pointer;
    border-radius: 5px;
    font-weight: 400;
    background-color: #d35400;
}

#result-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/**** charges section css eventho the same but lea dumb and need practice ****/

.contact-content {
    padding: 2rem;
}

.contact-content .form {
    font-size: 1rem;
    position: relative;
    max-width: 500px;
    width: 100%;
    background: #ffff;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contact-content header {
    font-size: 1.5rem;
    color: #333;
    font-weight: 500;
    text-align: center;
}

.contact-content .rate-button {
    display: flex;
    justify-content: center;
    gap: 10px;
    padding: 5px 10px;
    background-color: orange;
    border: none;
    color: white;
    border-radius: 5px;
    cursor: pointer;
}

#shareUnit-result,
#charges-result {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin: auto;
}

#shareUnit-result span,
#charges-result span {
    display: flex;
    flex-direction: column;
    padding: 0.5rem 0.5rem;
    margin: 0.2rem auto;
    font-weight: bold;
    color: white;
    width: 100%;
    text-align: center;
}

.share-unit {
    background-color: #993700;
    font-weight: bolder;
}

.maint-cost {
    background-color: #d35400;
    font-weight: bold;
}

.sinking-fee {
    background-color: #b84300;
    font-weight: bold;
}

.total-cost {
    background-color: #993700;
    font-weight: bolder;
}

label {
    width: 100%;
    display: inline-block;
}

@keyframes floatUp {
    0% {
        transform: translateY(30px);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes fadeUp {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

/*** FOR PHONE ***/

@media (max-width: 768px) {

    #home::before,
    #home::after,
    #about::before,
    #about::after,
    #services::before,
    #services::after,
    #contact::before,
    #contact::after {
        pointer-events: none;
        clip-path: none;
        background: none;
        opacity: 0;
        transition: all 0.3s ease-in-out;
    }

    #home,
    #about,
    #services,
    #contact {
        flex-direction: column;
        padding: 3rem 2rem;
        text-align: center;
    }

    .home-house-img {
        max-width: 300px;
        width: 80%;
        margin: 2rem auto 0;
        display: block;
    }

    .button-container {
        flex-direction: column;
        align-items: center;
    }

    .about-content {
        flex-direction: column;
        padding: 1rem;
        align-items: center;
    }

    .services-content .form,
    .contact-content .form {
        width: 100%;
        max-width: 100%;
        flex-direction: column;
        align-items: center;
        padding: 1rem;
    }

    .services-content .form,
    .contact-content .form {
        width: 100%;
        max-width: 100%;
    }

    #about h1,
    #services h1,
    #contact h1 {
        font-size: 2rem;
        text-align: center;
        margin: 2rem 0 1rem;
    }

    nav {
        top: 0;
        left: 0;
        transform: none;
        gap: 0.5rem;
        padding: 1rem;
        width: 100%;
        border-radius: 0;
    }

    nav .logo {
        width: 60px;
    }

    .form .input-box,
    .form .column {
        flex-direction: column;
        gap: 10px;
    }

    .form .select-box {
        width: 100%;
    }

    .contact-info,
    .services-info {
        flex-direction: column;
        align-items: center;
    }

    .features li {
        max-width: 100%;
        width: 100%;
    }
}